Terp Network Docs
APIsIbcgoQuery
GET
/ibc/apps/fee/v1/incentivized_packets

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean
query_height?string

block height at which to query.

Formatuint64

Response Body

*/*

*/*

curl -X GET "https://api.terp.network/ibc/apps/fee/v1/incentivized_packets"
{
  "incentivized_packets": [
    {
      "packet_id": {
        "port_id": "string",
        "channel_id": "string",
        "sequence": "string"
      },
      "packet_fees": [
        {
          "fee": {
            "recv_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "ack_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ],
            "timeout_fee": [
              {
                "denom": "string",
                "amount": "string"
              }
            ]
          },
          "refund_address": "string",
          "relayers": [
            "string"
          ]
        }
      ]
    }
  ]
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}